package at.reisinger.server.helper;

import at.reisinger.enums.CardType;
import at.reisinger.enums.ElementTyp;

/**
 * Hilft beim manipulieren von enums
 */
public class EnumHelper {

    /**
     * Wenn ein String als ElementType vorhanden ist, dann gibt er den passenden ElementType zurück
     * @param elementTypeString elementType als String
     * @return Passender Element Type oder null falls nicht gefunden
     */
    public static ElementTyp stringToElementType(String elementTypeString){
        for (ElementTyp e : ElementTyp.values()) {
            if (elementTypeString.toLowerCase().contains(e.name().toLowerCase())) {
                return e;
            }
        }
        return null;
    }

    /**
     * Wenn ein String als cardType vorhanden ist, dann gibt er den passenden cardType zurück
     * @param cardTypeString cardType als String
     * @return Passender Card Type oder null falls nicht gefunden
     */
    public static CardType stringToCardType(String cardTypeString){
        for (CardType me : CardType.values()) {
            if (cardTypeString.toLowerCase().contains(me.toString().toLowerCase())) {
                return me;
            }
        }
        return null;
    }
}
